Skip to main content
`Ctrl`+`K`

# PetscCILinenumber

returns a line number except if `PetscCIEnablePortableErrorOutput` is set when it returns 0

## Synopsis

    #include "petscsys.h"
    int PetscCILinenumber(int linenumber)

Not Collective; No Fortran Support

## Input Parameter

- linenumber - the initial line number

## Note

See `PetscCIFilename()` for details on usage

## See Also

`PetscCIFilename()`

## Level

developer

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages